Index: rtp.c
===================================================================
RCS file: /var/lib/cvs/asterisk/rtp.c,v
retrieving revision 1.5
diff -u -r1.5 rtp.c
--- rtp.c	4 Aug 2005 10:18:52 -0000	1.5
+++ rtp.c	21 Sep 2005 13:57:20 -0000
@@ -651,6 +651,10 @@
 void ast_rtp_pt_clear(struct ast_rtp* rtp) 
 {
   int i;
+  
+  /* sanity check */
+  if (rtp == NULL)
+	  return;
 
   for (i = 0; i < MAX_RTP_PT; ++i) {
     rtp->current_RTP_PT[i].isAstFormat = 0;
@@ -665,6 +669,11 @@
 void ast_rtp_pt_default(struct ast_rtp* rtp) 
 {
   int i;
+
+  /* sanity check */
+  if (rtp == NULL)
+	  return;
+
   /* Initialize to default payload types */
   for (i = 0; i < MAX_RTP_PT; ++i) {
     rtp->current_RTP_PT[i].isAstFormat = static_RTP_PT[i].isAstFormat;
